package com.xhpc.user.service;

import com.xhpc.common.core.domain.R;
import com.xhpc.user.domain.XhpcUserVehicle;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * @author yuyang
 * @date 2023-10-19 17:05
 */
public interface IXhpcUserVehicleService {

   R addUserVehicle(XhpcUserVehicle xhpcUserVehicle);

   List<Map<String, Object>> list(HttpServletRequest request,String vehicleName,String phone,String chargingStationName);

   List<Map<String, Object>> getUserVehicleList(HttpServletRequest request,Long userId,Integer source);

   R getXhpcUserVehicleMessage(Long userId,Integer source);

   R deleteUserVehicleById(Long vehicleId);

   R defaultUserVehicle(Long vehicleId,Long appUserId,Integer source);

   R enlightenedUserVehicle(Long vehicleId,Long appUserId,Integer source,Integer stauts);
}
